Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 412283002: ninja: Add support for 'ninja_use_console' in actions/rules (Closed)

Created:
5 years, 1 month ago by Shezan Baig (Bloomberg)
Modified:
5 years, 1 month ago
Reviewers:
iannucci, Nico, scottmg
CC:
gyp-developer_googlegroups.com
Visibility:
Public.

Description

ninja: Add support for 'ninja_use_console' in actions/rules Setting this to 1 will make ninja use 'pool = console' for the action/rule. BUG= R=thakis@chromium.org Committed: https://code.google.com/p/gyp/source/detail?r=1955

Patch Set 1 #

Patch Set 2 : Only expose the console pool #

Total comments: 2

Patch Set 3 : address nits in #11 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+96 lines, -7 lines) Patch
M pylib/gyp/generator/ninja.py View 1 2 4 chunks +6 lines, -4 lines 0 comments Download
A + test/ninja/use-console/foo.bar View 1 1 chunk +1 line, -3 lines 0 comments Download
A test/ninja/use-console/gyptest-use-console.py View 1 2 1 chunk +29 lines, -0 lines 0 comments Download
A test/ninja/use-console/use-console.gyp View 1 1 chunk +60 lines, -0 lines 0 comments Download

Messages

Total messages: 12 (0 generated)
Shezan Baig (Bloomberg)
I'm not sure what's the best way to test this. Right now, I'm just checking ...
5 years, 1 month ago (2014-07-24 17:45:00 UTC) #1
scottmg
There's no way to specify the pool depth though, right? So this only works for ...
5 years, 1 month ago (2014-07-24 17:56:58 UTC) #2
Shezan Baig (Bloomberg)
In theory, we should be able to use it for any pool (since it is ...
5 years, 1 month ago (2014-07-24 17:59:43 UTC) #3
Nico
What do you need this for? I'd prefer not to expose this; I'd expect if ...
5 years, 1 month ago (2014-07-24 18:08:13 UTC) #4
Shezan Baig (Bloomberg)
On 2014/07/24 18:08:13, Nico (away) wrote: > What do you need this for? I'd prefer ...
5 years, 1 month ago (2014-07-24 18:11:56 UTC) #5
Nico
On 2014/07/24 18:11:56, Shezan Baig (Bloomberg) wrote: > On 2014/07/24 18:08:13, Nico (away) wrote: > ...
5 years, 1 month ago (2014-07-24 19:40:36 UTC) #6
Shezan Baig (Bloomberg)
On 2014/07/24 19:40:36, Nico (away) wrote: > On 2014/07/24 18:11:56, Shezan Baig (Bloomberg) wrote: > ...
5 years, 1 month ago (2014-07-24 19:45:46 UTC) #7
Nico
On 2014/07/24 19:45:46, Shezan Baig (Bloomberg) wrote: > On 2014/07/24 19:40:36, Nico (away) wrote: > ...
5 years, 1 month ago (2014-07-24 19:49:30 UTC) #8
Shezan Baig (Bloomberg)
On 2014/07/24 19:49:30, Nico (away) wrote: > ninja_use_console is fine too, or any name that ...
5 years, 1 month ago (2014-07-24 19:51:10 UTC) #9
Shezan Baig (Bloomberg)
ptal - thanks!
5 years, 1 month ago (2014-07-24 20:30:04 UTC) #10
Nico
lgtm, works for me https://codereview.chromium.org/412283002/diff/20001/pylib/gyp/generator/ninja.py File pylib/gyp/generator/ninja.py (right): https://codereview.chromium.org/412283002/diff/20001/pylib/gyp/generator/ninja.py#newcode602 pylib/gyp/generator/ninja.py:602: pool = 'console' if int(action.get('ninja_use_console', ...
5 years, 1 month ago (2014-07-24 20:33:02 UTC) #11
Shezan Baig (Bloomberg)
5 years, 1 month ago (2014-07-25 13:29:25 UTC) #12
Message was sent while issue was closed.
Committed patchset #3 manually as r1955 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698